Package com.pixelmed.dose

# Class CommonDoseObserverContext

java.lang.Object
com.pixelmed.dose.CommonDoseObserverContext

public class CommonDoseObserverContext extends Object

## Constructor Summary

Constructors
Constructor
Description
`CommonDoseObserverContext()`
`CommonDoseObserverContext(String uid, String name, String manufacturer, String modelName, String serialNumber, String location, String operatorName, String operatorID, String physicianName, String physicianID, String idIssuer, String organization)`

## Method Summary

Modifier and Type
Method
Description
`DeviceParticipant`
`getDeviceParticipant()`
`PersonParticipant`
`getPersonParticipantAdministering()`
`PersonParticipant`
`getPersonParticipantAuthorizing()`
`RecordingDeviceObserverContext`
`getRecordingDeviceObserverContext()`
`void`
`setDeviceParticipant(DeviceParticipant deviceParticipant)`
`void`
`setPersonParticipantAdministering(PersonParticipant personParticipantAdministering)`
`void`
`setPersonParticipantAuthorizing(PersonParticipant personParticipantAuthorizing)`
`void`
`setRecordingDeviceObserverContext(RecordingDeviceObserverContext recordingDeviceObserverContext)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommonDoseObserverContext

public CommonDoseObserverContext()

### CommonDoseObserverContext

public CommonDoseObserverContext(String uid, String name, String manufacturer, String modelName, String serialNumber, String location, String operatorName, String operatorID, String physicianName, String physicianID, String idIssuer, String organization)

## Method Details

### getRecordingDeviceObserverContext

public RecordingDeviceObserverContext getRecordingDeviceObserverContext()

### setRecordingDeviceObserverContext

public void setRecordingDeviceObserverContext(RecordingDeviceObserverContext recordingDeviceObserverContext)

### getDeviceParticipant

public DeviceParticipant getDeviceParticipant()

### setDeviceParticipant

public void setDeviceParticipant(DeviceParticipant deviceParticipant)

### getPersonParticipantAdministering

public PersonParticipant getPersonParticipantAdministering()

### setPersonParticipantAdministering

public void setPersonParticipantAdministering(PersonParticipant personParticipantAdministering)

### getPersonParticipantAuthorizing

public PersonParticipant getPersonParticipantAuthorizing()

### setPersonParticipantAuthorizing

public void setPersonParticipantAuthorizing(PersonParticipant personParticipantAuthorizing)